
/**			sysdefs.h			**/

/**  System level, configurable, defines for the ELM mail system.  **/

/**  (C) Copyright 1986 Dave Taylor                                **/

/** define the following if you think that the information in messages
    that have "Reply-To:" and/or "From:" fields with addresses will
    contain valid addressing information.  If this isn't defined, the
    calculated return address will ALWAYS be used instead.  (note that
    this doesn't necessarily preclude the use of G)roup replies).

#define USE_EMBEDDED_ADDRESSES	

**/

#define FIND_DELTA	10		/* byte region where the binary search
					   on the path alias file is fruitless 
                                           (can't be within this boundary)    */

#define MAX_HEADERS	500	/* max number of messages in one file!   */	
#define MAX_SALIASES	503	/* number of system aliases allowed      */
#define MAX_UALIASES	251	/* number of user aliases allowed 	 */
#define MAX_IN_WEEDLIST 50	/* max headers to weed out               */

#define MAX_HOPS	35	/* max hops in return addr to E)veryone  */

#define MAX_ATTEMPTS	6	/* #times to attempt lock file creation */

/** see leavembox.c to determine if this should be defined or not....The 
    default is to NOT have it defined.

#define REMOVE_AT_LAST

**/

#define DEFAULT_BATCH_SUBJECT  "no subject (file transmission)"

/** If you want to have the mailer know about valid mailboxes on the
    host machine (assumes no delivery agent aliases) then you should
    undefine this (the default is to have it defined)...


#define NOCHECK_VALIDNAME

**/

/** If your machine doesn't have virtual memory (specifically the vfork() 
    command) then you should define the following....		

#define NO_VM

**/

/** If you want the mailer to check the pathalias database BEFORE it
    looks to see if a specified machine is in the L.sys database (in
    some cases routing is preferable to direct lines) then you should
    define the following...

#define LOOK_CLOSE_AFTER_SEARCH

**/

/** If you'd rather the program automatically used the 'uuname' command
    to figure out what machines it talks to (instead of trying to get
    it from L.sys first) then define the following...

#define USE_UUNAME

**/

/** If you'd like "newmail" to automatically go into background when you
    start it up (instead of the "newmail &" junk with the process id output,
    then define the following...

#define AUTO_BACKGROUND

**/

/** If you'd rather your mail transport agent (ie sendmail) put the From:
    line into the message, define the following...


#define DONT_ADD_FROM

**/

/** If your machine prefers the Internet notation of user@host for the
    From: line and addresses, define the following...(the default is to 
    use this rather than the USENET notation - check your pathalias file!)

#define INTERNET_ADDRESS_FORMAT

**/

/** If you're on a machine that prefers UUCP to Internet addresses, then
    define the following (the basic change is that on a machine that
    receives messages of the form <path>!user@<localhost> the displayed
    address will be <path>!user instead of user@<localhost>.

    BOGUS_INTERNET is the address that your local system appends to 
    messages occasionally.  The algorithm is simply to REMOVE the
    BOGUS_INTERNET string.  This is horrible.  *sigh*

#define PREFER_UUCP
#define BOGUS_INTERNET	"@hplabs.HP.COM"

**/

/** If you're running ACSNET and/or want to have your domain name
    attached to your hostname on outbound mail then you can define
    the following (default are not defined)

#define USE_DOMAIN
#define DOMAIN		"<enter your domain here>"

**/

/** If you are going to be running the mailer with setgid mail (or
    something similar) you'll need to define the following to ensure
    that the users mailbox in the spool directory has the correct
    group (NOT the users group)
**/

#define SAVE_GROUP_MAILBOX_ID

/**
**/

/** If you want a neat feature that enables scanning of the message
    body for entries to add to the users ".calendar" (or whatever)
    file, define this.
**/

#define ENABLE_CALENDAR
#define dflt_calendar_file	"calendar"	/* in HOME directory */

/**
**/

#define NOTES_HEADER		"/***** "
#define NOTES_FOOTER		"/* ---------- */"

#ifdef BSD
# define system_hash_file	"/usr/spool/mail/.alias_hash"
# define system_data_file	"/usr/spool/mail/.alias_data"
#else
# define system_hash_file	"/usr/mail/.alias_hash"
# define system_data_file	"/usr/mail/.alias_data"
#endif

#define pathfile		"/usr/lib/nmail.paths"
#define domains			"/usr/lib/domains"

#define Lsys			"/usr/lib/uucp/L.sys"

/** where to put the output of the elm -d command... (in home dir) **/
#define DEBUG		"ELM:debug.info"

#define temp_file	"/tmp/snd."
#define temp_mbox	"/tmp/mbox."
#define temp_print      "/tmp/print."
#define mailtime_file	".last_read_mail"
#define readmsg_file	".readmsg"
#define signature_file	".signature"

#ifdef BSD
# define default_editor	"/usr/ucb/vi"
# define mailhome	"/usr/spool/mail/"
# define default_pager	"/usr/ucb/page"
#else
# define default_editor	"/usr/bin/vi"
# define mailhome	"/usr/mail/"
# define default_pager	"/usr/bin/more"
#endif

#define sendmail	"/usr/lib/sendmail"
#define smflags		"-oi"
#define mailer		"/bin/rmail"
#define mailx		"/usr/bin/mailx"

#define cutfile		"/usr/local/bin/cutfile"

#define helphome	"/usr/local/lib"
#define helpfile	"elm-help.main"

#define elmrcfile	"/.elmrc"
#define mailheaders	".elmheaders"
#define unedited_mail	"emergency.mbox"
#define newalias	"newalias -q 1>&2 > /dev/null"
#define readmsg		"readmsg"
#define printmail	"printmail"

#define remove		"/bin/rm -f"		/* how to remove a file */
#define cat		"/bin/cat"		/* how to display files */
#define uuname		"uuname"		/* how to get a uuname  */


/** -- end of file sysdefsh. -- **/

